| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.MenuComboToolbar.MenuToolButton

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors
Methods
Attributes
Signals

Description

A `ToolItem` containing a button with an additional dropdown menu

- Module available since Gtk+ version 2.6

Synopsis

data MenuToolButton
class ToolButtonClass o => MenuToolButtonClass o
castToMenuToolButton :: GObjectClass obj => obj -> MenuToolButton
toMenuToolButton :: MenuToolButtonClass o => o -> MenuToolButton
menuToolButtonNew :: WidgetClass iconWidget => Maybe iconWidget -> Maybe String -> IO MenuToolButton
menuToolButtonNewFromStock :: StockId -> IO MenuToolButton
menuToolButtonSetMenu :: (MenuToolButtonClass self, MenuClass menu) => self -> Maybe menu -> IO ()
menuToolButtonGetMenu :: MenuToolButtonClass self => self -> IO (Maybe Menu)
menuToolButtonSetArrowTooltip :: MenuToolButtonClass self => self -> Tooltips -> String -> String -> IO ()
menuToolButtonMenu :: (MenuToolButtonClass self, MenuClass menu) => ReadWriteAttr self (Maybe Menu) (Maybe menu)
onShowMenu :: MenuToolButtonClass self => self -> IO () -> IO (ConnectId self)
afterShowMenu :: MenuToolButtonClass self => self -> IO () -> IO (ConnectId self)

Detail
A `MenuToolButton` is a `ToolItem` that contains a button and a small additional button with an arrow. When clicked, the arrow button pops up a dropdown menu. Use `menuToolButtonNew` to create a new `MenuToolButton`. Use `menuToolButtonNewFromStock` to create a new `MenuToolButton` containing a stock item.
Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Container
     |                     +----Bin
     |                           +----ToolItem
     |                                 +----ToolButton
     |                                       +----MenuToolButton

Types
data MenuToolButton

Instances

GObjectClass MenuToolButton
MenuToolButtonClass MenuToolButton
ToolButtonClass MenuToolButton
ToolItemClass MenuToolButton
BinClass MenuToolButton
ContainerClass MenuToolButton
WidgetClass MenuToolButton
ObjectClass MenuToolButton

class ToolButtonClass o => MenuToolButtonClass o

Instances

MenuToolButtonClass MenuToolButton

castToMenuToolButton :: GObjectClass obj => obj -> MenuToolButton
toMenuToolButton :: MenuToolButtonClass o => o -> MenuToolButton
Constructors
menuToolButtonNew

:: WidgetClass iconWidget |
=> Maybe iconWidget | `iconWidget` - a widget that will be used as icon widget, or `Nothing`
-> Maybe String | `label` - a string that will be used as label, or `Nothing`
-> IO MenuToolButton |
Creates a new `MenuToolButton` using `iconWidget` as icon and `label` as label.

menuToolButtonNewFromStock

:: StockId | `stockId` - the name of a stock item
-> IO MenuToolButton |
Creates a new `MenuToolButton`. The new `MenuToolButton` will contain an icon and label from the stock item indicated by `stockId`.

Methods
menuToolButtonSetMenu

:: (MenuToolButtonClass self, MenuClass menu) |
=> self |
-> Maybe menu | `menu` - the `Menu` associated with `MenuToolButton`
-> IO () |
Sets the `Menu` that is popped up when the user clicks on the arrow. If `menu` is `Nothing`, the arrow button becomes insensitive.

menuToolButtonGetMenu :: MenuToolButtonClass self => self -> IO (Maybe Menu)
Gets the `Menu` associated with `MenuToolButton`.
menuToolButtonSetArrowTooltip

:: MenuToolButtonClass self |
=> self |
-> Tooltips | `tooltips` - the `Tooltips` object to be used
-> String | `tipText` - text to be used as tooltip text for tool item
-> String | `tipPrivate` - text to be used as private tooltip text
-> IO () |
Sets the `Tooltips` object to be used for arrow button which pops up the menu. See Graphics.UI.Gtk.MenuComboToolbar.ToolItem.toolItemSetTooltip for setting a tooltip on the whole `MenuToolButton`.

Attributes
menuToolButtonMenu :: (MenuToolButtonClass self, MenuClass menu) => ReadWriteAttr self (Maybe Menu) (Maybe menu)
The dropdown menu.
Signals
onShowMenu :: MenuToolButtonClass self => self -> IO () -> IO (ConnectId self)
afterShowMenu :: MenuToolButtonClass self => self -> IO () -> IO (ConnectId self)
Produced by Haddock version 2.4.2